Bug 49690 - RFE: Include Mosix to the kernel?
RFE: Include Mosix to the kernel?
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: kernel (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-23 07:39 EDT by Need Real Name
Modified: 2015-01-04 17:01 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-26 00:32:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-07-23 07:39:24 EDT
Hi!

Wouldn't it be possible to add the mosix functionalities (www.mosix.org) in
the kernel on the RedHat distributions? Mosix allows clustering and
transparent process distribution over a cluster of machines on a network.
It would be nice to have during the RedHat installation process the choice
between for instance:
Normal Kernel or Kernel + Mosix
SMP Kernel or SMP Kernel + Mosix

Best regards


Daniel Tourde
Comment 1 Arjan van de Ven 2001-07-23 07:47:40 EDT
We are seriously looking at Mosix, and it's a very good candidate for inclusion
in _a_ future version. The timing on when that will be is unknown, it also
depends on how the debate between the Mosix people and Linus is going.
Comment 2 Need Real Name 2001-07-23 07:53:02 EDT
OK. Thanks for your answer.
That would be a great feature indeed. I don't know the nature of the debate
between Linus Torvalds and the Mosix people but i do think Mosix is a good
thing.
_a_future version?
7.2? 8.0? 17.5?... :)

Daniel
Comment 3 Jason Tibbitts 2002-09-12 16:37:24 EDT
I know this bug is over a year old, but I wonder if the idea of integrating
openMosix is still being considered.  I installed the 2.4.19-based openMosix
kernels on a few machines here and everything went fine, but that means I've
backed out tons of useful Red Hat kernel mods like rmap and the updated IDE drivers.
Comment 4 Dave Jones 2004-10-26 00:32:41 EDT
probably won't happen unless it goes into the upstream kernel.

Note You need to log in before you can comment on or make changes to this bug.